## org.apache.ivy.core.event.retrieve
Class RetrieveEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.retrieve.RetrieveEvent

Direct Known Subclasses:
  EndRetrieveEvent, StartRetrieveEvent

    public class RetrieveEvent

extends IvyEvent

Constructor Summary
`protected` `RetrieveEvent(java.lang.String name, ModuleRevisionId mrid, java.lang.String[] confs, RetrieveOptions options)`

Method Summary
`ModuleRevisionId` `getModuleRevisionId()`
`RetrieveOptions` `getOptions()`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetrieveEvent

    protected RetrieveEvent(java.lang.String name,
                            ModuleRevisionId mrid,
                            java.lang.String[] confs,
                            RetrieveOptions options)

Method Detail

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

### getOptions

    public RetrieveOptions getOptions()